#ifndef ATTENDS_H
#define ATTENDS_H


#ifdef WIN32

// Fonction d'attente sous Windows

#include <windows.h>

inline void Attends(long Temps)
{
  Sleep(Temps);
}

// Fin de la fonction de temps sous Windows

#elif defined LINUX

// Fonction d'attente sous Linux

#include <cstdlib>
#include <strstream>

inline void Attends(long Temps)
{
  std::ostrstream o;
  o << "sleep " << float (Temps) / 1000.0f << 's';
  o.put(0);

  system(o.str());
}

// Fin de la fonction d'attente sous Windows

#else

#error ERROR: OS not supported

#endif


#endif
